<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisaBookingRules StructType
 * @subpackage Structs
 */
class VisaBookingRules extends AbstractStructBase
{
    /**
     * The VisaBookingRulesRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaBookingRulesRQ
     */
    public $VisaBookingRulesRQ;
    /**
     * Constructor method for VisaBookingRules
     * @uses VisaBookingRules::setVisaBookingRulesRQ()
     * @param \StructType\JP_VisaBookingRulesRQ $visaBookingRulesRQ
     */
    public function __construct(\StructType\JP_VisaBookingRulesRQ $visaBookingRulesRQ = null)
    {
        $this
            ->setVisaBookingRulesRQ($visaBookingRulesRQ);
    }
    /**
     * Get VisaBookingRulesRQ value
     * @return \StructType\JP_VisaBookingRulesRQ|null
     */
    public function getVisaBookingRulesRQ()
    {
        return $this->VisaBookingRulesRQ;
    }
    /**
     * Set VisaBookingRulesRQ value
     * @param \StructType\JP_VisaBookingRulesRQ $visaBookingRulesRQ
     * @return \StructType\VisaBookingRules
     */
    public function setVisaBookingRulesRQ(\StructType\JP_VisaBookingRulesRQ $visaBookingRulesRQ = null)
    {
        $this->VisaBookingRulesRQ = $visaBookingRulesRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VisaBookingRules
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
